Commit cab094ae authored by Natanael Copa's avatar Natanael Copa

main/fuse: security upgrade to 2.9.8 (CVE-2018-10906)

fixes #9151
parent a8290ba5
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=fuse
pkgver=2.9.7
pkgrel=1
pkgver=2.9.8
pkgrel=0
pkgdesc="A library that makes it possible to implement a filesystem in a userspace program."
url="https://github.com/libfuse/"
arch="all"
......@@ -16,6 +16,10 @@ source="https://github.com/libfuse/libfuse/releases/download/fuse-$pkgver/fuse-$
options="suid !check" # No test suite.
builddir="$srcdir"/$pkgname-$pkgver
# secfixes:
# 2.9.8-r0:
# - CVE-2018-10906
build() {
cd "$builddir"
UDEV_RULES_PATH='/lib/udev/rules.d' ./configure \
......@@ -53,6 +57,6 @@ _EOF_
}
sha512sums="f47304d9c7a1815f7a2905b7bdb7785d4c10292a80c8dc1ec45d895af96bc6ffd6d84ff2617bd976a1d0867ab8ec1a404a5a05ace85a69ecca830f371d08f8e2 fuse-2.9.7.tar.gz
sha512sums="0a9b14d96c6f98f5c903baf00114bfff72f9aeb97224702bbed370516b2b582401d5b436fcef979918ffd85d69ba4a82c8f722c0b35ebd50f7aa5f4ddfdcf8ad fuse-2.9.8.tar.gz
5672ceb35acabb4bd97b6efc30614f22def62882fe198e2a8598a074d45b6b5337c082a5e09b5e399b6e5212dc1fbde9071c2a5051534c32091444c350b9c657 fix-realpath.patch
7f6a503ef23cfa8b809c544375c2d83ad56525269b48ad1a7dff0ce36f4bf2f2a3fafed9dc70a71ff6281b261db5f01829e16c06f041921a5d8c8d715a04a8c1 fuse.initd"
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment